package com.sky.ioc.controller.carbon;

import com.sky.ioc.service.carbon.CarbonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/1 13:25
 **/


@Api("数智双碳----文印排放")
@Slf4j
@RestController
@RequestMapping("/print")
public class PrintController {


    @Autowired
    private CarbonService carbonService;



    @ApiOperation("核心指标")
    @GetMapping("/getPrintCoreIndicators")
    public String getPrintCoreIndicators(){
        return carbonService.getPrintCoreIndicators();
    }


    @ApiOperation("车辆排放情况")
    @GetMapping("/getPrintInfo")
    public String getPrintInfo(){
        return carbonService.getPrintInfo();
    }




    @ApiOperation("车辆排放排名")
    @GetMapping("/getPrintInfoOrder")
    public String getPrintInfoOrder(){
        return carbonService.getPrintInfoOrder();
    }

}
