package com.sky.ioc.controller.work;

import com.sky.ioc.service.carbon.CarbonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.lang.annotation.Retention;

/**
 * TODO
 * @Description
 * @Author LunCe
 * @Date 2023/2/28 16:02
 **/


@Api("智慧办公----公车管理")
@Slf4j
@RestController
@RequestMapping("/bus")
public class BusController {


    @Autowired
    private CarbonService carbonService;




    @ApiOperation("核心指标")
    @GetMapping("/getBusCoreIndicators")
    public String getBusCoreIndicators(){
        return carbonService.getBusCoreIndicators();
    }


    @ApiOperation("公车情况")
    @GetMapping("/getBusInfo")
    public String getBusInfo(){
        return carbonService.getBusInfo();
    }




    @ApiOperation("成本趋势")
    @GetMapping("/getBusCostTrend")
    public String getBusCostTrend(){
        return carbonService.getBusCostTrend();
    }





}
