package com.sky.ioc.service.assets.impl;

import com.sky.ioc.service.assets.AssetService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * TODO
 * @Description 资产
 * @Author LunCe
 * @Date 2023/2/23 17:04
 **/

@Service
public class AssetServiceImpl implements AssetService {
    @Override
    public ReturnMsg getInvestmentDistribution() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getAssetLife() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getAssetCount() {
        Map<String, Object> map = new HashMap<>();
        map.put("yearCount","12000");
        map.put("yearCountYoy","0.4%");
        map.put("totalAssetCount","2100");
        map.put("totalAssetCountYoy","0.2%");
        map.put("totalAssetsPerSapita","15");
        map.put("averageServiceLifeOfAssets","10");
        map.put("worthAttention","内容");
        return  ReturnMsg.ok(map);
    }

    @Override
    public ReturnMsg getOperAssetCoreIndicators() {
        return null;
    }

    @Override
    public ReturnMsg getAssetAnalysis() {
        return null;
    }

    @Override
    public ReturnMsg getAssetShareRanking() {
        return null;
    }

    @Override
    public ReturnMsg getScrapAndMaintain() {
        return null;
    }
}
