package com.sky.ioc.controller.carbon;

import com.sky.ioc.service.carbon.CarbonService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/1 13:24
 **/


@Api("数智双碳----车辆排放")
@Slf4j
@RestController
@RequestMapping("/vehicle")
public class VehicleController {



    @Autowired
    private CarbonService carbonService;




    @ApiOperation("核心指标")
    @GetMapping("/getVehicleCoreIndicators")
    public String getVehicleCoreIndicators(){
        return carbonService.getVehicleCoreIndicators();
    }


    @ApiOperation("车辆排放情况")
    @GetMapping("/getVehicleInfo")
    public String getVehicleInfo(){
        return carbonService.getVehicleInfo();
    }




    @ApiOperation("车辆排放排名")
    @GetMapping("/getVehicleInfoOrder")
    public String getVehicleInfoOrder(){
        return carbonService.getVehicleInfoOrder();
    }



}
