package com.sky.ioc.service.energy.impl;

import com.sky.ioc.service.energy.EnergyService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

/**
 * TODO
 * @Description  能源实现类
 * @Author LunCe
 * @Date 2023/2/23 11:24
 **/
@Service
public class EnergyServiceImpl implements EnergyService {
    @Override
    public ReturnMsg getElectricityCoreIndicators() {
        return ReturnMsg.ok( FalseData.REPORTFORMSLIST4);
    }

    @Override
    public ReturnMsg getElectricityInfoList() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getElectricityCircleInfoList() {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }

    @Override
    public ReturnMsg getWaterCoreIndicators() {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }

    @Override
    public ReturnMsg getWaterInfoList() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getWaterCircleInfoList() {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }

    @Override
    public ReturnMsg getUseColdCoreIndicators() {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }

    @Override
    public ReturnMsg getUseColdInfoList() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getUseHeatCoreIndicators() {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }

    @Override
    public ReturnMsg getUseHeatInfoList() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }
}
